<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="52dp">

    <com.gh.gamecenter.feature.view.GameIconView
        android:id="@+id/gameIconIv"
        android:layout_width="40dp"
        android:layout_height="40dp"
        android:layout_marginStart="12dp"
        android:layout_marginLeft="12dp"
        app:gameIconBorderColor="@color/resource_border"
        app:gameIconBorderWidth="0.5dp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <TextView
        android:id="@+id/gameNameTv"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginStart="12dp"
        android:layout_marginLeft="12dp"
        android:layout_marginEnd="12dp"
        android:layout_marginRight="12dp"
        android:includeFontPadding="false"
        android:singleLine="true"
        android:textColor="@color/text_primary"
        android:textStyle="bold"
        app:layout_constraintBottom_toTopOf="@+id/gameDesTv"
        app:layout_constraintEnd_toStartOf="@+id/downloadBtn"
        app:layout_constraintStart_toEndOf="@+id/gameIconIv"
        app:layout_constraintTop_toTopOf="@+id/gameIconIv"
        app:layout_constraintVertical_chainStyle="packed"
        tools:text="原神" />

    <TextView
        android:id="@+id/gameDesTv"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginStart="12dp"
        android:layout_marginLeft="12dp"
        android:layout_marginTop="4dp"
        android:layout_marginEnd="12dp"
        android:layout_marginRight="12dp"
        android:includeFontPadding="false"
        android:singleLine="true"
        android:textColor="@color/text_tertiary"
        android:textSize="@dimen/little_secondary_size"
        app:layout_constraintBottom_toBottomOf="@+id/gameIconIv"
        app:layout_constraintEnd_toStartOf="@+id/downloadBtn"
        app:layout_constraintStart_toEndOf="@+id/gameIconIv"
        app:layout_constraintTop_toBottomOf="@+id/gameNameTv"
        tools:text="开放世界·二次元" />

    <com.gh.gamecenter.feature.view.DownloadButton
        android:id="@+id/downloadBtn"
        android:layout_width="56dp"
        android:layout_height="28dp"
        android:layout_marginEnd="12dp"
        android:layout_marginRight="12dp"
        app:download_button_show_percent="true"
        app:download_button_show_progress="true"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <androidx.appcompat.widget.AppCompatTextView
        android:id="@+id/multiVersionDownloadTv"
        android:layout_width="wrap_content"
        android:layout_height="28dp"
        android:drawablePadding="2dp"
        android:gravity="center"
        android:text="展开"
        android:textColor="@color/white"
        android:textSize="@dimen/secondary_size"
        android:visibility="gone"
        app:layout_constraintBottom_toBottomOf="@+id/downloadBtn"
        app:layout_constraintEnd_toEndOf="@+id/downloadBtn"
        app:layout_constraintStart_toStartOf="@+id/downloadBtn"
        app:layout_constraintTop_toTopOf="@+id/downloadBtn"
        app:drawableEndCompat="@drawable/ic_jump_universal" />

    <com.airbnb.lottie.LottieAnimationView
        android:id="@+id/downloadTipsLottie"
        android:layout_width="16dp"
        android:layout_height="16dp"
        android:layout_marginTop="-8dp"
        android:visibility="gone"
        app:layout_constraintRight_toRightOf="@+id/downloadBtn"
        app:layout_constraintTop_toTopOf="@+id/downloadBtn"
        app:lottie_autoPlay="false"
        app:lottie_loop="true"
        app:lottie_repeatMode="restart" />

</androidx.constraintlayout.widget.ConstraintLayout>